edu.ucsb.nceas.metacat.restservice.v1

## Class MNRestServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - edu.ucsb.nceas.metacat.restservice.D1RestServlet
      - - edu.ucsb.nceas.metacat.restservice.v1.MNRestServlet

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class MNRestServlet
      extends D1RestServlet

  Routes MN REST service requests to the appropriate handler
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class edu.ucsb.nceas.metacat.restservice.D1RestServlet

      `handler, logMetacat`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MNRestServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected D1ResourceHandler` | `createHandler(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Provide an MNResourceHandler subclass of D1ResourceHandler

    - ### Methods inherited from class edu.ucsb.nceas.metacat.restservice.D1RestServlet

      `doDelete, doGet, doHead, doPost, doPut, init`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doOptions, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MNRestServlet

          public MNRestServlet()

  - ### Method Detail

    - #### createHandler

          protected D1ResourceHandler createHandler(javax.servlet.http.HttpServletRequest request,
                                                    javax.servlet.http.HttpServletResponse response)
                                             throws javax.servlet.ServletException,
                                                    java.io.IOException

      Provide an MNResourceHandler subclass of D1ResourceHandler
      Overrides:
        `createHandler` in class `D1RestServlet`
      Returns:
      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`

Copyright © 2020 Regents of the University of California. All Rights Reserved.